
** This code splits admin data from TRA into 8 random smaller parts to easily read into R 


version 18

set varabbrev on

sysdir set PLUS "CHANGE/PATH/HERE"


global path "CHANGE/PATH/HERE"

global data "${path}\data-raw" 
global output "${path}\data-clean" 

* read data 
clear 
use "$data\202201_202403_Revo.dta"

* split TRA data into 8 smaller equal datasets 

splitsample, generate(svar) nsplit(8)

* save the 8 different datasets 

forvalues svar = 1/8 {
    preserve 
    keep if svar == `svar'
    save "$output\tra_2024_`svar'.dta", replace
    restore 
}